#delimit;
cap program drop sub_makebetas;
program define sub_makebetas, eclass;
  args name command;
  matrix betabase=(r(mu_mean_base), r(mu_sd_base), r(impact_mean_base), r(impact_sd_base),
                   r(frexper1_base), r(frexperlt3_base), r(avgexper_base),
                   1, r(wage_base), r(nteach_base), 1, 1, 0);
  if r(converged)==1 local nruns=r(nruns);
  else local nruns=-1*r(nruns);                 
  matrix betapol =(r(mu_mean_policy), r(mu_sd_policy), r(impact_mean_policy), r(impact_sd_policy),
                   r(frexper1_policy), r(frexperlt3_policy), r(avgexper_policy),
                   r(basewage_policy), r(wage_policy), r(nteach_policy), r(totwage_policy)/r(totwage_base),
                   `nruns', r(criterion));
  matrix colnames betabase=abil_mean abil_sd productivity_mean productivity_sd
                           fr_1styear fr_3years avgexper
                           basewage wage_mean nteach salbudget
                           iterations deviance;
  matrix coleq betabase=base;
  matrix colnames betapol =abil_mean abil_sd productivity_mean productivity_sd
                           fr_1styear fr_3years avgexper
                           basewage wage_mean nteach salbudget
                           iterations deviance;
  matrix coleq betapol=policy;
  matrix beta=betabase, betapol;     
  matrix dummyV=beta'*beta;
  ereturn post beta dummyV;
  ereturn local cmd "`command'";
  di `"Model: `name'"';
  ereturn display;                                     
end;
