
*drawsamp.do

version 12.1

cap project, doinfo
if _rc==0 {
	local doasproject=1
  project, doinfo
	local pdir "`r(pdir)'"						  	    // the project's main dir.
	local dofile "`r(dofile)'"						    // do-file's stub name
  local sig {bind:{hi:[RP : `dofile'.do]}}	// a signature in notes

}
else {
	local doasproject=0
	local pdir "~/projects/performancepay/project"
	local dofile "drawsamp"
	local sig "Not run as part of project!"
}
local thisdir "`pdir'/subroutines"

#delimit;

*User-written programs called here;

*Declare used files;
 
*Load programs;


 
*Generate some sample paths;
 set seed 123456789;
 
 drop _all;
 set obs 250000;
 gen id=_n;
 drawnorm z_pvtinfo z_nu z_nuB z_e1-z_e30, double;

 save `pdir'/scratch/`dofile'.dta, replace;
 if `doasproject'==1 project, creates("`pdir'/scratch/`dofile'.dta");
 
